blaze-html-0.4.3.1: A blazingly fast HTML combinator library for Haskell

Text.Blaze.Html4.Transitional

Description

This module exports HTML combinators used to create documents.

Synopsis

- module Text.Blaze
- docType :: Html
- docTypeHtml :: Html -> Html
- a :: Html -> Html
- abbr :: Html -> Html
- acronym :: Html -> Html
- address :: Html -> Html
- applet :: Html -> Html
- area :: Html
- b :: Html -> Html
- basefont :: Html
- bdo :: Html -> Html
- big :: Html -> Html
- blockquote :: Html -> Html
- body :: Html -> Html
- br :: Html
- button :: Html -> Html
- caption :: Html -> Html
- center :: Html -> Html
- cite :: Html -> Html
- code :: Html -> Html
- col :: Html
- colgroup :: Html -> Html
- dd :: Html -> Html
- del :: Html -> Html
- dfn :: Html -> Html
- dir :: Html -> Html
- div :: Html -> Html
- dl :: Html -> Html
- dt :: Html -> Html
- em :: Html -> Html
- fieldset :: Html -> Html
- font :: Html -> Html
- form :: Html -> Html
- h1 :: Html -> Html
- h2 :: Html -> Html
- h3 :: Html -> Html
- h4 :: Html -> Html
- h5 :: Html -> Html
- h6 :: Html -> Html
- head :: Html -> Html
- hr :: Html
- html :: Html -> Html
- i :: Html -> Html
- iframe :: Html -> Html
- img :: Html
- input :: Html
- ins :: Html -> Html
- isindex :: Html -> Html
- kbd :: Html -> Html
- label :: Html -> Html
- legend :: Html -> Html
- li :: Html -> Html
- link :: Html
- map :: Html -> Html
- menu :: Html -> Html
- meta :: Html
- noframes :: Html -> Html
- noscript :: Html -> Html
- object :: Html -> Html
- ol :: Html -> Html
- optgroup :: Html -> Html
- option :: Html -> Html
- p :: Html -> Html
- param :: Html
- pre :: Html -> Html
- q :: Html -> Html
- s :: Html -> Html
- samp :: Html -> Html
- script :: Html -> Html
- select :: Html -> Html
- small :: Html -> Html
- span :: Html -> Html
- strong :: Html -> Html
- style :: Html -> Html
- sub :: Html -> Html
- sup :: Html -> Html
- table :: Html -> Html
- tbody :: Html -> Html
- td :: Html -> Html
- textarea :: Html -> Html
- tfoot :: Html -> Html
- th :: Html -> Html
- thead :: Html -> Html
- title :: Html -> Html
- tr :: Html -> Html
- tt :: Html -> Html
- u :: Html -> Html
- ul :: Html -> Html
- var :: Html -> Html

# Documentation

module Text.Blaze

docType

Arguments

:: Html | The document type HTML.

Combinator for the document type. This should be placed at the top of every HTML page.

Example:

     docType

Result:

     <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
         "http://www.w3.org/TR/html4/loose.dtd">

docTypeHtml

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element. This combinator will also insert the correct doctype.

Example:

     docTypeHtml $ span $ text "foo"

Result:

     <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
         "http://www.w3.org/TR/html4/loose.dtd">
     <html><span>foo</span></html>

a

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<a>` element.

Example:

     a $ span $ text "foo"

Result:

     <a><span>foo</span></a>

abbr

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<abbr>` element.

Example:

     abbr $ span $ text "foo"

Result:

     <abbr><span>foo</span></abbr>

acronym

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<acronym>` element.

Example:

     acronym $ span $ text "foo"

Result:

     <acronym><span>foo</span></acronym>

address

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<address>` element.

Example:

     address $ span $ text "foo"

Result:

     <address><span>foo</span></address>

applet

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<applet>` element.

Example:

     applet $ span $ text "foo"

Result:

     <applet><span>foo</span></applet>

area

Arguments

:: Html | Resulting HTML.

Combinator for the `<area />` element.

Example:

     area

Result:

     <area />

b

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<b>` element.

Example:

     b $ span $ text "foo"

Result:

     <b><span>foo</span></b>

basefont

Arguments

:: Html | Resulting HTML.

Combinator for the `<basefont />` element.

Example:

     basefont

Result:

     <basefont />

bdo

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<bdo>` element.

Example:

     bdo $ span $ text "foo"

Result:

     <bdo><span>foo</span></bdo>

big

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<big>` element.

Example:

     big $ span $ text "foo"

Result:

     <big><span>foo</span></big>

blockquote

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<blockquote>` element.

Example:

     blockquote $ span $ text "foo"

Result:

     <blockquote><span>foo</span></blockquote>

body

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<body>` element.

Example:

     body $ span $ text "foo"

Result:

     <body><span>foo</span></body>

br

Arguments

:: Html | Resulting HTML.

Combinator for the `<br />` element.

Example:

     br

Result:

     <br />

button

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<button>` element.

Example:

     button $ span $ text "foo"

Result:

     <button><span>foo</span></button>

caption

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<caption>` element.

Example:

     caption $ span $ text "foo"

Result:

     <caption><span>foo</span></caption>

center

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<center>` element.

Example:

     center $ span $ text "foo"

Result:

     <center><span>foo</span></center>

cite

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<cite>` element.

Example:

     cite $ span $ text "foo"

Result:

     <cite><span>foo</span></cite>

code

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<code>` element.

Example:

     code $ span $ text "foo"

Result:

     <code><span>foo</span></code>

col

Arguments

:: Html | Resulting HTML.

Combinator for the `<col />` element.

Example:

     col

Result:

     <col />

colgroup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<colgroup>` element.

Example:

     colgroup $ span $ text "foo"

Result:

     <colgroup><span>foo</span></colgroup>

dd

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dd>` element.

Example:

     dd $ span $ text "foo"

Result:

     <dd><span>foo</span></dd>

del

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<del>` element.

Example:

     del $ span $ text "foo"

Result:

     <del><span>foo</span></del>

dfn

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dfn>` element.

Example:

     dfn $ span $ text "foo"

Result:

     <dfn><span>foo</span></dfn>

dir

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dir>` element.

Example:

     dir $ span $ text "foo"

Result:

     <dir><span>foo</span></dir>

div

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<div>` element.

Example:

     div $ span $ text "foo"

Result:

     <div><span>foo</span></div>

dl

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dl>` element.

Example:

     dl $ span $ text "foo"

Result:

     <dl><span>foo</span></dl>

dt

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<dt>` element.

Example:

     dt $ span $ text "foo"

Result:

     <dt><span>foo</span></dt>

em

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<em>` element.

Example:

     em $ span $ text "foo"

Result:

     <em><span>foo</span></em>

fieldset

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<fieldset>` element.

Example:

     fieldset $ span $ text "foo"

Result:

     <fieldset><span>foo</span></fieldset>

font

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<font>` element.

Example:

     font $ span $ text "foo"

Result:

     <font><span>foo</span></font>

form

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<form>` element.

Example:

     form $ span $ text "foo"

Result:

     <form><span>foo</span></form>

h1

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h1>` element.

Example:

     h1 $ span $ text "foo"

Result:

     <h1><span>foo</span></h1>

h2

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h2>` element.

Example:

     h2 $ span $ text "foo"

Result:

     <h2><span>foo</span></h2>

h3

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h3>` element.

Example:

     h3 $ span $ text "foo"

Result:

     <h3><span>foo</span></h3>

h4

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h4>` element.

Example:

     h4 $ span $ text "foo"

Result:

     <h4><span>foo</span></h4>

h5

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h5>` element.

Example:

     h5 $ span $ text "foo"

Result:

     <h5><span>foo</span></h5>

h6

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<h6>` element.

Example:

     h6 $ span $ text "foo"

Result:

     <h6><span>foo</span></h6>

head

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<head>` element.

Example:

     head $ span $ text "foo"

Result:

     <head><span>foo</span></head>

hr

Arguments

:: Html | Resulting HTML.

Combinator for the `<hr />` element.

Example:

     hr

Result:

     <hr />

html

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<html>` element.

Example:

     html $ span $ text "foo"

Result:

     <html><span>foo</span></html>

i

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<i>` element.

Example:

     i $ span $ text "foo"

Result:

     <i><span>foo</span></i>

iframe

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<iframe>` element.

Example:

     iframe $ span $ text "foo"

Result:

     <iframe><span>foo</span></iframe>

img

Arguments

:: Html | Resulting HTML.

Combinator for the `<img />` element.

Example:

     img

Result:

     <img />

input

Arguments

:: Html | Resulting HTML.

Combinator for the `<input />` element.

Example:

     input

Result:

     <input />

ins

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ins>` element.

Example:

     ins $ span $ text "foo"

Result:

     <ins><span>foo</span></ins>

isindex

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<isindex>` element.

Example:

     isindex $ span $ text "foo"

Result:

     <isindex><span>foo</span></isindex>

kbd

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<kbd>` element.

Example:

     kbd $ span $ text "foo"

Result:

     <kbd><span>foo</span></kbd>

label

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<label>` element.

Example:

     label $ span $ text "foo"

Result:

     <label><span>foo</span></label>

legend

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<legend>` element.

Example:

     legend $ span $ text "foo"

Result:

     <legend><span>foo</span></legend>

li

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<li>` element.

Example:

     li $ span $ text "foo"

Result:

     <li><span>foo</span></li>

link

Arguments

:: Html | Resulting HTML.

Combinator for the `<link />` element.

Example:

     link

Result:

     <link />

map

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<map>` element.

Example:

     map $ span $ text "foo"

Result:

     <map><span>foo</span></map>

menu

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<menu>` element.

Example:

     menu $ span $ text "foo"

Result:

     <menu><span>foo</span></menu>

meta

Arguments

:: Html | Resulting HTML.

Combinator for the `<meta />` element.

Example:

     meta

Result:

     <meta />

noframes

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<noframes>` element.

Example:

     noframes $ span $ text "foo"

Result:

     <noframes><span>foo</span></noframes>

noscript

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<noscript>` element.

Example:

     noscript $ span $ text "foo"

Result:

     <noscript><span>foo</span></noscript>

object

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<object>` element.

Example:

     object $ span $ text "foo"

Result:

     <object><span>foo</span></object>

ol

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ol>` element.

Example:

     ol $ span $ text "foo"

Result:

     <ol><span>foo</span></ol>

optgroup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<optgroup>` element.

Example:

     optgroup $ span $ text "foo"

Result:

     <optgroup><span>foo</span></optgroup>

option

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<option>` element.

Example:

     option $ span $ text "foo"

Result:

     <option><span>foo</span></option>

p

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<p>` element.

Example:

     p $ span $ text "foo"

Result:

     <p><span>foo</span></p>

param

Arguments

:: Html | Resulting HTML.

Combinator for the `<param />` element.

Example:

     param

Result:

     <param />

pre

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<pre>` element.

Example:

     pre $ span $ text "foo"

Result:

     <pre><span>foo</span></pre>

q

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<q>` element.

Example:

     q $ span $ text "foo"

Result:

     <q><span>foo</span></q>

s

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<s>` element.

Example:

     s $ span $ text "foo"

Result:

     <s><span>foo</span></s>

samp

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<samp>` element.

Example:

     samp $ span $ text "foo"

Result:

     <samp><span>foo</span></samp>

script

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<script>` element.

Example:

     script $ span $ text "foo"

Result:

     <script><span>foo</span></script>

select

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<select>` element.

Example:

     select $ span $ text "foo"

Result:

     <select><span>foo</span></select>

small

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<small>` element.

Example:

     small $ span $ text "foo"

Result:

     <small><span>foo</span></small>

span

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<span>` element.

Example:

     span $ span $ text "foo"

Result:

     <span><span>foo</span></span>

strong

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<strong>` element.

Example:

     strong $ span $ text "foo"

Result:

     <strong><span>foo</span></strong>

style

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<style>` element.

Example:

     style $ span $ text "foo"

Result:

     <style><span>foo</span></style>

sub

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sub>` element.

Example:

     sub $ span $ text "foo"

Result:

     <sub><span>foo</span></sub>

sup

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<sup>` element.

Example:

     sup $ span $ text "foo"

Result:

     <sup><span>foo</span></sup>

table

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<table>` element.

Example:

     table $ span $ text "foo"

Result:

     <table><span>foo</span></table>

tbody

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tbody>` element.

Example:

     tbody $ span $ text "foo"

Result:

     <tbody><span>foo</span></tbody>

td

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<td>` element.

Example:

     td $ span $ text "foo"

Result:

     <td><span>foo</span></td>

textarea

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<textarea>` element.

Example:

     textarea $ span $ text "foo"

Result:

     <textarea><span>foo</span></textarea>

tfoot

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tfoot>` element.

Example:

     tfoot $ span $ text "foo"

Result:

     <tfoot><span>foo</span></tfoot>

th

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<th>` element.

Example:

     th $ span $ text "foo"

Result:

     <th><span>foo</span></th>

thead

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<thead>` element.

Example:

     thead $ span $ text "foo"

Result:

     <thead><span>foo</span></thead>

title

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<title>` element.

Example:

     title $ span $ text "foo"

Result:

     <title><span>foo</span></title>

tr

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tr>` element.

Example:

     tr $ span $ text "foo"

Result:

     <tr><span>foo</span></tr>

tt

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<tt>` element.

Example:

     tt $ span $ text "foo"

Result:

     <tt><span>foo</span></tt>

u

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<u>` element.

Example:

     u $ span $ text "foo"

Result:

     <u><span>foo</span></u>

ul

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<ul>` element.

Example:

     ul $ span $ text "foo"

Result:

     <ul><span>foo</span></ul>

var

Arguments

:: Html | Inner HTML.
-> Html | Resulting HTML.

Combinator for the `<var>` element.

Example:

     var $ span $ text "foo"

Result:

     <var><span>foo</span></var>